#include <iostream>
 
int main() {
 
int N, M;
std::cin >> N >> M;
 
if ( N > 1 and M > 1 ){
	int broj_redara = N * M - ( ( M - 2 ) * ( N - 2 ) + 1) / 2;
	std::cout << broj_redara << '\n';
}
else if ( N == 1 )
	std::cout << M;
else if ( M == 1 )
	std::cout << N;
 
return 0;
}